This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 766215 - [abrt] gnuplot-common-4.4.3-3.fc16: PaletteMake: Process /usr/libexec/gnuplot/4.4/gnuplot_x11 was killed by signal 11 (SIGSEGV)
[abrt] gnuplot-common-4.4.3-3.fc16: PaletteMake: Process /usr/libexec/gnuplot...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnuplot (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Frantisek Kluknavsky
Fedora Extras Quality Assurance
abrt_hash:f3d45d9aa104c3ae54899379dd1...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-10 19:26 EST by Miloslav Trmač
Modified: 2013-02-13 20:14 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 20:14:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: dso_list (2.51 KB, text/plain)
2011-12-10 19:26 EST, Miloslav Trmač
no flags Details
File: environ (3.06 KB, text/plain)
2011-12-10 19:26 EST, Miloslav Trmač
no flags Details
File: backtrace (95.69 KB, text/plain)
2011-12-10 19:26 EST, Miloslav Trmač
no flags Details
File: maps (11.42 KB, text/plain)
2011-12-10 19:26 EST, Miloslav Trmač
no flags Details
File: backtrace (94.94 KB, text/plain)
2012-02-14 18:04 EST, joanitah
no flags Details
realloc-colors.patch (642 bytes, patch)
2012-08-17 05:27 EDT, Peter Schiffer
no flags Details | Diff

  None (edit)
Description Miloslav Trmač 2011-12-10 19:26:03 EST
libreport version: 2.0.7
abrt_version:   2.0.6
backtrace_rating: 4
cmdline:        gnuplot_x11
comment:        Aborting an octave script
crash_function: PaletteMake
executable:     /usr/libexec/gnuplot/4.4/gnuplot_x11
kernel:         3.1.4-1.fc16.x86_64
pid:            12931
pwd:            /home/mitr/yt/mlclass-ex8
reason:         Process /usr/libexec/gnuplot/4.4/gnuplot_x11 was killed by signal 11 (SIGSEGV)
time:           Ne 11. prosinec 2011, 01:19:48 CET
uid:            1000
username:       mitr

backtrace:      Text file, 97986 bytes
dso_list:       Text file, 2567 bytes
environ:        Text file, 3130 bytes
maps:           Text file, 11693 bytes

var_log_messages:
:Dec 11 01:19:48 kulicka kernel: [24241.558236] gnuplot_x11[12931]: segfault at 0 ip 000000000040f5f7 sp 00007fff216aefb0 error 6 in gnuplot_x11[400000+16000]
:Dec 11 01:19:49 kulicka abrt[13519]: Saved core dump of pid 12931 (/usr/libexec/gnuplot/4.4/gnuplot_x11) to /var/spool/abrt/ccpp-2011-12-11-01:19:48-12931 (995328 bytes)
Comment 1 Miloslav Trmač 2011-12-10 19:26:07 EST
Created attachment 545088 [details]
File: dso_list
Comment 2 Miloslav Trmač 2011-12-10 19:26:09 EST
Created attachment 545089 [details]
File: environ
Comment 3 Miloslav Trmač 2011-12-10 19:26:13 EST
Created attachment 545090 [details]
File: backtrace
Comment 4 Miloslav Trmač 2011-12-10 19:26:15 EST
Created attachment 545091 [details]
File: maps
Comment 5 joanitah 2012-02-14 18:03:57 EST
Closed a plotting window

backtrace_rating: 4
Package: gnuplot-common-4.4.3-3.fc16
OS Release: Fedora release 16 (Verne)
Comment 6 joanitah 2012-02-14 18:04:00 EST
Created attachment 562089 [details]
File: backtrace
Comment 7 Peter Schiffer 2012-07-19 05:26:55 EDT
Hi Miloslav,

do you think you could attach the octave script you were using? (if you still have it)

Thanks,

peter
Comment 8 Miloslav Trmač 2012-07-19 13:26:39 EDT
(In reply to comment #7)
> do you think you could attach the octave script you were using? (if you
> still have it)

I'm afraid I don't have it any more.
Comment 9 Peter Schiffer 2012-08-01 06:45:57 EDT
And what about you, Joanitah?

Do you still have the data on which gnuplot crashed?

Thanks,

peter
Comment 10 Peter Schiffer 2012-08-17 05:27:13 EDT
Created attachment 605134 [details]
realloc-colors.patch

This patch should fix this issue.
Comment 11 Fedora Admin XMLRPC Client 2012-10-09 09:51:16 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 12 Peter Schiffer 2012-11-06 12:34:23 EST
The attached patch was submitted upstream:
http://sourceforge.net/tracker/?func=detail&aid=3558995&group_id=2055&atid=302055

but probably it is not correct. It looks like the problem will be somewhere else..
Comment 13 Fedora End Of Life 2013-01-16 17:42:18 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Fedora End Of Life 2013-02-13 20:14:26 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.